Subject: Re: Absolute file-path under bash (cygwin32)
From: [email-masked] ("John D. Robertson")

17 Apr 1997 13:39:00 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.LNX.3.91.970417092755.263B-100000.cygnus.gnu-win32@localhost>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: john@localhost
Original-To: Paul Prescod <[email-masked]>
Original-Cc: Hawkeye <[email-masked]>, [email-masked], [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

This is a perplexing problem because:
1) Pathname manipulating shell scripts will break if DOS conventions are 
   used.
2) Most of us hate DOS conventions.
3) DOS & Windows programs will not run without DOS conventions.
4) Bash cannot know which way to translate for all cases.

The optimal solution is to provide a Windows95/NT runtime environment under 
Linux, or Free BSD, etc.  SGI ships such a product on their new 
workstations, but it is a software emulation, and slower than hell, even 
on an R10000.  I guess WABI is such a product that is as fast as running 
under Windows, but only works for Windows 3.1, which nobody cares about 
anymore.

Then only reason I run Windows95 at all is that ADAMS is not available 
for Linux, and is prohibitively expensive for other Unix platforms.

Sigh.

JDR

|======================================================|
| John D. Robertson, ADAMS Modeler / Software Engineer |
| Robertson & Robertson Consultants, Inc.              |
| 3637 West Georgia Rd.                                |
| Pelzer, SC  29669                                    |
|                                                      |
| Phone: (864) 243-2436                                |
|   Fax: (864) 243-3023                                |
| Email: [email-masked]                                 |
|======================================================|

On Wed, 16 Apr 1997, Paul Prescod wrote:

> Hawkeye wrote:
> > That could only ever work partially, at best.  Filenames aren't
> > necessarily distinct words in the argument list (consider an option
> > like "-I/usr/local/include"), and every word in the argument list
> > shouldn't necessarily be interpeted as a cygwin filename (consider
> > "echo dir /w >foo.bat").  
> 
> Either of these problems are easily fixed. How do you recognize variable
> names so that they can be replaced? With a special character. I don't
> know bash enough to know what character or character combination is left
> over, though. Maybe $/ as in $/foo/bar.com . Do variable names ever
> start with $/?
> 
> > The only "right" place to interpret filenames is in the API calls made by 
> > an application.
> 
> It is already too late for that. We can't fix all of the Windows
> software in the world, and we can't fix all of the Unix source code in
> the world. We must either manually convert pathnames forever or we must
> have a way of letting the computer differentiate them. I prefer the
> latter.
> 
>  Paul Prescod
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".